# Generated by Django 4.0.2 on 2022-03-17 12:56

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone', models.CharField(max_length=11, validators=[django.core.validators.RegexValidator(message="Phone number must be entered in the format: '7XXXXXXXXXX'.", regex='7\\d{10}')])),
                ('operator_code', models.CharField(max_length=3)),
                ('tag', models.CharField(max_length=160)),
                ('time_zone', models.IntegerField(validators=[django.core.validators.MinValueValidator(-12, message='Time zone must be more then -11.'), django.core.validators.MaxValueValidator(14, message='Time zone must less then +15')])),
            ],
        ),
        migrations.CreateModel(
            name='Newsletter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_time', models.DateTimeField()),
                ('end_time', models.DateTimeField()),
                ('text', models.CharField(max_length=160)),
                ('filter', models.CharField(max_length=160)),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_time', models.DateTimeField()),
                ('status', models.CharField(max_length=160)),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='newsletter_api.client')),
                ('newsletter', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='newsletter_api.newsletter')),
            ],
        ),
    ]
